searchNodes=[{"doc":"Provides access to Telegram Bot API. Reference https://core.telegram.org/bots/api#available-methods","ref":"Telegraph.html","title":"Telegraph","type":"module"},{"doc":"Use this method to add a new sticker to a set created by the bot. Returns True on success. Args: user_id - User identifier of created sticker set owner name - Sticker set name png_sticker - Png image with the sticker, must be up to 512 kilobytes in size, dimensions must not exceed 512px, and either width or height must be exactly 512px. Either a file_id to resend a file that is already on the Telegram servers, or a file_path to upload a new file from local, or a HTTP URL to get a file from the internet. emojis - One or more emoji corresponding to the sticker Options: mask_position - A Telegraph.Model.MaskPosition object for position where the mask should be placed on faces","ref":"Telegraph.html#add_sticker_to_set/5","title":"Telegraph.add_sticker_to_set/5","type":"function"},{"doc":"Use this method to send answers to callback queries sent from inline keyboards. The answer will be displayed to the user as a notification at the top of the chat screen or as an alert. On success, True is returned. Args: callback_query_id - Unique identifier for the query to be answered options - orddict of options Options: :text - Text of the notification. If not specified, nothing will be shown to the user :show_alert - If true, an alert will be shown by the client instead of a notification at the top of the chat screen. Defaults to false.","ref":"Telegraph.html#answer_callback_query/2","title":"Telegraph.answer_callback_query/2","type":"function"},{"doc":"Use this method to send answers to an inline query. On success, True is returned. No more than 50 results per query are allowed. Args: inline_query_id - Unique identifier for the answered query results - An array of results for the inline query options - orddict of options Options: cache_time - The maximum amount of time in seconds that the result of the inline query may be cached on the server. Defaults to 300. is_personal - Pass True, if results may be cached on the server side only for the user that sent the query. By default, results may be returned to any user who sends the same query next_offset - Pass the offset that a client should send in the next query with the same text to receive more results. Pass an empty string if there are no more results or if you don‘t support pagination. Offset length can’t exceed 64 bytes. switch_pm_text - If passed, clients will display a button with specified text that switches the user to a private chat with the bot and sends the bot a start message with the parameter switch_pm_parameter. switch_pm_parameter - Parameter for the start message sent to the bot when user presses the switch button.","ref":"Telegraph.html#answer_inline_query/3","title":"Telegraph.answer_inline_query/3","type":"function"},{"doc":"Once the user has confirmed their payment and shipping details, the Bot API sends the final confirmation in the form of an Update with the field pre_checkout_query. Use this method to respond to such pre-checkout queries. On success, True is returned. Note: The Bot API must receive an answer within 10 seconds after the pre-checkout query was sent. Args: pre_checkout_query_id - Unique identifier for the query to be answered ok - Specify True if everything is alright (goods are available, etc.) and the bot is ready to proceed with the order. Use False if there are any problems. Options: error_message - Required if ok is False. Error message in human readable form that explains the reason for failure to proceed with the checkout (e.g. &quot;Sorry, somebody just bought the last of our amazing black T-shirts while you were busy filling out your payment details. Please choose a different color or garment!&quot;). Telegram will display this message to the user.","ref":"Telegraph.html#answer_pre_checkout_query/3","title":"Telegraph.answer_pre_checkout_query/3","type":"function"},{"doc":"If you sent an invoice requesting a shipping address and the parameter is_flexible was specified, the Bot API will send an Update with a shipping_query field to the bot. Use this method to reply to shipping queries. On success, True is returned. Args: shipping_query_id - Unique identifier for the query to be answered ok - Specify True if delivery to the specified address is possible and False if there are any problems (for example, if delivery to the specified address is not possible) Options: shipping_address - Required if ok is True. A list of Nadia.Model.ShippingOption error_message - Required if ok is False. Error message in human readable form that explains why it is impossible to complete the order (e.g. &quot;Sorry, delivery to your desired address is unavailable'). Telegram will display this message to the user.","ref":"Telegraph.html#answer_shipping_query/3","title":"Telegraph.answer_shipping_query/3","type":"function"},{"doc":"Use this method to create new sticker set owned by a user. The bot will be able to edit the created sticker set. Returns True on success. Args: user_id - User identifier of created sticker set owner name - Short name of sticker set, to be used in t.me/addstickers/ URLs (e.g., animals). Can contain only english letters, digits and underscores. Must begin with a letter, can't contain consecutive underscores and must end in “ by &lt;bot username&gt;”. &lt;bot_username&gt; is case insensitive. 1-64 characters. title - Sticker set title, 1-64 characters png_sticker - Png image with the sticker, must be up to 512 kilobytes in size, dimensions must not exceed 512px, and either width or height must be exactly 512px. Either a file_id to resend a file that is already on the Telegram servers, or a file_path to upload a new file from local, or a HTTP URL to get a file from the internet. emojis - One or more emoji corresponding to the sticker Options: contains_masks - Pass True, if a set of mask stickers should be created mask_position - A Telegraph.Model.MaskPosition object for position where the mask should be placed on faces","ref":"Telegraph.html#create_new_sticker_set/6","title":"Telegraph.create_new_sticker_set/6","type":"function"},{"doc":"Use this method to delete message from a chat. Bot should have admin permission to do that, and remember you can't delete messages that are more than 48 hours old. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) message_id - Required if inline_message_id is not specified. Unique identifier of the sent message","ref":"Telegraph.html#delete_message/2","title":"Telegraph.delete_message/2","type":"function"},{"doc":"Use this method to delete a sticker from a set created by the bot. Returns True on success. Args: sticker - File identifier of the sticker","ref":"Telegraph.html#delete_sticker_from_set/1","title":"Telegraph.delete_sticker_from_set/1","type":"function"},{"doc":"Use this method to remove webhook integration if you decide to switch back to Telegraph.get_updates/1 . Returns :ok on success. Requires no parameters.","ref":"Telegraph.html#delete_webhook/0","title":"Telegraph.delete_webhook/0","type":"function"},{"doc":"Use this method to edit captions of messages sent by the bot or via the bot (for inline bots). On success, the edited Message is returned. Args: chat_id - Required if inline_message_id is not specified. Unique identifier for the target chat or username of the target channel (in the format @channelusername) message_id - Required if inline_message_id is not specified. Unique identifier of the sent message inline_message_id - Required if chat_id and message_id are not specified. Identifier of the inline message options - orddict of options Options: :caption - New caption of the message :reply_markup - A JSON-serialized object for an inline keyboard - Telegraph.Model.InlineKeyboardMarkup","ref":"Telegraph.html#edit_message_caption/4","title":"Telegraph.edit_message_caption/4","type":"function"},{"doc":"Use this method to edit only the reply markup of messages sent by the bot or via the bot (for inline bots). On success, the edited Message is returned. Args: chat_id - Required if inline_message_id is not specified. Unique identifier for the target chat or username of the target channel (in the format @channelusername) message_id - Required if inline_message_id is not specified. Unique identifier of the sent message inline_message_id - Required if chat_id and message_id are not specified. Identifier of the inline message options - orddict of options Options: :reply_markup - A JSON-serialized object for an inline keyboard - Telegraph.Model.InlineKeyboardMarkup","ref":"Telegraph.html#edit_message_reply_markup/4","title":"Telegraph.edit_message_reply_markup/4","type":"function"},{"doc":"Use this method to edit text messages sent by the bot or via the bot (for inline bots). On success, the edited Message is returned Args: chat_id - Required if inline_message_id is not specified. Unique identifier for the target chat or username of the target channel (in the format @channelusername) message_id - Required if inline_message_id is not specified. Unique identifier of the sent message inline_message_id - Required if chat_id and message_id are not specified. Identifier of the inline message text - New text of the message options - orddict of options Options: :parse_mode - Send Markdown or HTML, if you want Telegram apps to show bold, italic, fixed-width text or inline URLs in your bot's message. :disable_web_page_preview - Disables link previews for links in this message :reply_markup - A JSON-serialized object for an inline keyboard - Telegraph.Model.InlineKeyboardMarkup","ref":"Telegraph.html#edit_message_text/5","title":"Telegraph.edit_message_text/5","type":"function"},{"doc":"Use this method to forward messages of any kind. On success, the sent Message is returned. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) from_chat_id - Unique identifier for the chat where the original message was sent or username of the target channel (in the format @channelusername) :disable_notification - Sends the message silently or without notification message_id - Unique message identifier","ref":"Telegraph.html#forward_message/3","title":"Telegraph.forward_message/3","type":"function"},{"doc":"Use this method to get up to date information about the chat (current name of the user for one-on-one conversations, current username of a user, group or channel, etc.) Returns a Chat object on success. Args: chat_id - Unique identifier for the target chat or username of the target supergroup or channel (in the format @supergroupusername)","ref":"Telegraph.html#get_chat/1","title":"Telegraph.get_chat/1","type":"function"},{"doc":"Use this method to get a list of administrators in a chat. On success, returns an Array of ChatMember objects that contains information about all chat administrators except other bots. If the chat is a group or a supergroup and no administrators were appointed, only the creator will be returned. Args: chat_id - Unique identifier for the target chat or username of the target supergroup or channel (in the format @channelusername)","ref":"Telegraph.html#get_chat_administrators/1","title":"Telegraph.get_chat_administrators/1","type":"function"},{"doc":"Use this method to get information about a member of a chat. Returns a ChatMember object on success. Args: chat_id - Unique identifier for the target chat or username of the target supergroup or channel (in the format @channelusername) user_id - Unique identifier of the target user","ref":"Telegraph.html#get_chat_member/2","title":"Telegraph.get_chat_member/2","type":"function"},{"doc":"Use this method to get the number of members in a chat. Returns Int on success. Args: chat_id - Unique identifier for the target chat or username of the target supergroup or channel (in the format @channelusername)","ref":"Telegraph.html#get_chat_members_count/1","title":"Telegraph.get_chat_members_count/1","type":"function"},{"doc":"Use this method to get basic info about a file and prepare it for downloading. For the moment, bots can download files of up to 20MB in size. On success, a File object is returned. The file can then be downloaded via the link https://api.telegram.org/file/bot&lt;token&gt;/&lt;file_path&gt; , where &lt;file_path&gt; is taken from the response. It is guaranteed that the link will be valid for at least 1 hour. When the link expires, a new one can be requested by calling get_file again. Args: file_id - File identifier to get info about","ref":"Telegraph.html#get_file/1","title":"Telegraph.get_file/1","type":"function"},{"doc":"Use this method to get link for file for subsequent use. This method is an extension of the get_file method. iex&gt; Telegraph . get_file_link ( % Telegraph.Model.File { file_id : &quot;BQADBQADBgADmEjsA1aqdSxtzvvVAg&quot; , ...&gt; file_path : &quot;document/file_10&quot; , file_size : 17680 } ) { :ok , &quot;https://api.telegram.org/file/bot \#{ Telegraph.Config . token ( ) } /document/file_10&quot; }","ref":"Telegraph.html#get_file_link/1","title":"Telegraph.get_file_link/1","type":"function"},{"doc":"A simple method for testing your bot's auth token. Requires no parameters. Returns basic information about the bot in form of a User object.","ref":"Telegraph.html#get_me/0","title":"Telegraph.get_me/0","type":"function"},{"doc":"Use this method to get a sticker set. On success, a StickerSet object is returned. Args: name - Name of the sticker set","ref":"Telegraph.html#get_sticker_set/1","title":"Telegraph.get_sticker_set/1","type":"function"},{"doc":"Use this method to receive incoming updates using long polling. An Array of Update objects is returned. Args: options - orddict of options Options: :offset - Identifier of the first update to be returned. Must be greater by one than the highest among the identifiers of previously received updates. By default, updates starting with the earliest unconfirmed update are returned. An update is considered confirmed as soon as get_updates is called with an offset higher than its update_id . :limit - Limits the number of updates to be retrieved. Values between 1—100 are accepted. Defaults to 100 :timeout - Timeout in seconds for long polling. Defaults to 0, i.e. usual short polling","ref":"Telegraph.html#get_updates/1","title":"Telegraph.get_updates/1","type":"function"},{"doc":"Use this method to get a list of profile pictures for a user. Returns a UserProfilePhotos object. Args: user_id - Unique identifier of the target user options - orddict of options Options: :offset - Sequential number of the first photo to be returned. By default, all photos are returned :limit - Limits the number of photos to be retrieved. Values between 1—100 are accepted. Defaults to 100","ref":"Telegraph.html#get_user_profile_photos/2","title":"Telegraph.get_user_profile_photos/2","type":"function"},{"doc":"Use this method to get current webhook status. Requires no parameters. On success, returns a Telegraph.Model.WebhookInfo.t() object with webhook details. If the bot is using getUpdates, will return an object with the url field empty.","ref":"Telegraph.html#get_webhook_info/0","title":"Telegraph.get_webhook_info/0","type":"function"},{"doc":"Use this method to kick a user from a group or a supergroup. In the case of supergroups, the user will not be able to return to the group on their own using invite links, etc., unless unbanned first. The bot must be an administrator in the group for this to work. Returns True on success. Note: This will method only work if the ‘All Members Are Admins’ setting is off in the target group. Otherwise members may only be removed by the group's creator or by the member that added them. Args: chat_id - Unique identifier for the target group or username of the target supergroup (in the format @supergroupusername) user_id - Unique identifier of the target user","ref":"Telegraph.html#kick_chat_member/2","title":"Telegraph.kick_chat_member/2","type":"function"},{"doc":"Use this method for your bot to leave a group, supergroup or channel. Returns True on success. Args: chat_id - Unique identifier for the target chat or username of the target supergroup or channel (in the format @supergroupusername)","ref":"Telegraph.html#leave_chat/1","title":"Telegraph.leave_chat/1","type":"function"},{"doc":"Use this method to pin a message in a group, a supergroup, or a channel. The bot must be an administrator in the chat for this to work and must have the ‘can_pin_messages’ admin right in the supergroup or ‘can_edit_messages’ admin right in the channel. Returns True on success. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) message_id - Identifier of a message to pin Options: disable_notification - Pass True, if it is not necessary to send a notification to all chat members about the new pinned message. Notifications are always disabled in channels.","ref":"Telegraph.html#pin_chat_message/3","title":"Telegraph.pin_chat_message/3","type":"function"},{"doc":"Use this method to send animation files (GIF or H.264/MPEG-4 AVC video without sound). On success, the sent Message is returned. Bots can currently send animation files of up to 50 MB in size, this limit may be changed in the future. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) animation - Animation to send. Pass a file_id as String to send an animation that exists on the Telegram servers (recommended), pass an HTTP URL as a String for Telegram to get an animation from the Internet, or upload a new animation using multipart/form-data. Options: :duration - Duration of sent animation in seconds :width - Animation width :height - Animation height :thumb - Thumbnail of the file sent; can be ignored if thumbnail generation for the file is supported server-side. thumbnail should be in JPEG format and less than 200 kB in size. :caption - Animation caption (may also be used when resending animation by file_id), 0-1024 characters :parse_mode - Send Markdown or HTML, if you want Telegram apps to show bold, italic, fixed-width text or inline URLs in the media caption. :disable_notification - Sends the message silently. Users will receive a notification with no sound. :reply_to_message_id - If the message is a reply, ID of the original message :reply_markup - Additional interface options. A JSON-serialized object for an inline keyboard, custom reply keyboard, instructions to remove reply keyboard or to force a reply from the user.","ref":"Telegraph.html#send_animation/3","title":"Telegraph.send_animation/3","type":"function"},{"doc":"Use this method to send audio files, if you want Telegram clients to display them in the music player. Your audio must be in the .mp3 format. On success, the sent Message is returned. Bots can currently send audio files of up to 50 MB in size, this limit may be changed in the future. For backward compatibility, when the fields title and performer are both empty and the mime-type of the file to be sent is not audio/mpeg, the file will be sent as a playable voice message. For this to work, the audio must be in an .ogg file encoded with OPUS. This behavior will be phased out in the future. For sending voice messages, use the sendVoice method instead. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) audio - Audio to send. Either a file_id to resend an audio that is already on the Telegram servers, or a file_path to upload a new audio options - orddict of options Options: :duration - Duration of the audio in seconds :performer - Performer :title - Track name :disable_notification - Sends the message silently or without notification :reply_to_message_id - If the message is a reply, ID of the original message :reply_markup - Additional interface options. Instructions to hide keyboard or to force a reply from the user - Telegraph.Model.ReplyKeyboardMarkup or Telegraph.Model.ReplyKeyboardRemove or Telegraph.Model.ForceReply","ref":"Telegraph.html#send_audio/3","title":"Telegraph.send_audio/3","type":"function"},{"doc":"Use this method when you need to tell the user that something is happening on the bot's side. The status is set for 5 seconds or less (when a message arrives from your bot, Telegram clients clear its typing status). Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) action - Type of action to broadcast. Choose one, depending on what the user is about to receive: typing for text messages upload_photo for photos record_video or upload_video for videos record_audio or upload_audio for audio files upload_document for general files find_location for location data","ref":"Telegraph.html#send_chat_action/2","title":"Telegraph.send_chat_action/2","type":"function"},{"doc":"Use this method to send phone contacts. On success, the sent Message is returned. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) phone_number - Contact's phone number first_name - Contact's first name options - orddict of options Options: :last_name - Contact's last name :disable_notification - Sends the message silently or without notification :reply_to_message_id - If the message is a reply, ID of the original message :reply_markup - Additional interface options. A JSON-serialized object for an inline keyboard, custom reply keyboard, instructions to hide reply keyboard or to force a reply from the user. - Telegraph.Model.InlineKeyboardMarkup or Telegraph.Model.ReplyKeyboardMarkup or Telegraph.Model.ReplyKeyboardRemove or Telegraph.Model.ForceReply","ref":"Telegraph.html#send_contact/4","title":"Telegraph.send_contact/4","type":"function"},{"doc":"Use this method to send general files. On success, the sent Message is returned. Bots can currently send files of any type of up to 50 MB in size, this limit may be changed in the future. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) document - File to send. Either a file_id to resend a file that is already on the Telegram servers, or a file_path to upload a new file options - orddict of options Options: :disable_notification - Sends the message silently or without notification :reply_to_message_id - If the message is a reply, ID of the original message :reply_markup - Additional interface options. Instructions to hide keyboard or to force a reply from the user - Telegraph.Model.ReplyKeyboardMarkup or Telegraph.Model.ReplyKeyboardRemove or Telegraph.Model.ForceReply","ref":"Telegraph.html#send_document/3","title":"Telegraph.send_document/3","type":"function"},{"doc":"Use this method to send invoices. On success, the sent Message is returned. Args: chat_id - Unique identifier for the target chat or username of the target title - Product name, 1-32 characters description - Product description, 1-255 characters payload - Bot-defined invoice payload, 1-128 bytes. This will not be displayed to the user, use for your internal processes. provider_token - Payments provider token, obtained via Botfather start_parameter - Unique deep-linking parameter that can be used to generate this invoice when used as a start parameter currency - Three-letter ISO 4217 currency code prices - Array of LabeledPrice . Price breakdown (e.g. product price, tax, discount, delivery cost, delivery tax, bonus, etc.) Options: provider_data - A JSON-serialized data about the invoice, which will be shared with the payment provider. A detailed description of required fields should be provided by the payment provider. photo_url - URL of the product photo for the invoice. Can be a photo of the goods or a marketing image for a service. People like it better when they see what they are paying for. photo_size - Photo size photo_width - Photo width photo_height - Photo height need_name - Pass True, if you require the user's full name to complete the order need_phone_number - Pass True, if you require the user's phone number to complete the order need_email - Pass True, if you require the user's email address to complete the order need_shipping_address - Pass True, if you require the user's shipping address to complete the order send_phone_number_to_provider - Pass True, if user's phone number should be sent to provider send_email_to_provider - Pass True, if user's email address should be sent to provider is_flexible - Pass True, if the final price depends on the shipping method disable_notification - Sends the message silently. Users will receive a notification with no sound. reply_to_message_id - If the message is a reply, ID of the original message allow_sending_without_reply - Pass True, if the message should be sent even if the specified replied-to message is not found reply_markup - A JSON-serialized object for an inline keyboard - Nadia.Model.InlineKeyboardMarkup","ref":"Telegraph.html#send_invoice/9","title":"Telegraph.send_invoice/9","type":"function"},{"doc":"Use this method to send point on the map. On success, the sent Message is returned. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) latitude - Latitude of location longitude - Longitude of location options - orddict of options Options: :disable_notification - Sends the message silently or without notification :reply_to_message_id - If the message is a reply, ID of the original message :reply_markup - Additional interface options. Instructions to hide keyboard or to force a reply from the user - Telegraph.Model.ReplyKeyboardMarkup or Telegraph.Model.ReplyKeyboardRemove or Telegraph.Model.ForceReply","ref":"Telegraph.html#send_location/4","title":"Telegraph.send_location/4","type":"function"},{"doc":"Use this method to send text messages. On success, the sent Message is returned. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) text - Text of the message to be sent options - orddict of options Options: :parse_mode - Use Markdown , if you want Telegram apps to show bold, italic and inline URLs in your bot's message :disable_web_page_preview - Disables link previews for links in this message :disable_notification - Sends the message silently or without notification :reply_to_message_id - If the message is a reply, ID of the original message :reply_markup - Additional interface options. Instructions to hide keyboard or to force a reply from the user - Telegraph.Model.ReplyKeyboardMarkup or Telegraph.Model.ReplyKeyboardRemove or Telegraph.Model.ForceReply","ref":"Telegraph.html#send_message/3","title":"Telegraph.send_message/3","type":"function"},{"doc":"Use this method to send photos. On success, the sent Message is returned. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) photo - Photo to send. Either a file_id to resend a photo that is already on the Telegram servers, or a file_path to upload a new photo options - orddict of options Options: :caption - Photo caption (may also be used when resending photos by file_id ) :disable_notification - Sends the message silently or without notification :reply_to_message_id - If the message is a reply, ID of the original message :reply_markup - Additional interface options. Instructions to hide keyboard or to force a reply from the user - Telegraph.Model.ReplyKeyboardMarkup or Telegraph.Model.ReplyKeyboardRemove or Telegraph.Model.ForceReply","ref":"Telegraph.html#send_photo/3","title":"Telegraph.send_photo/3","type":"function"},{"doc":"Use this method to send .webp stickers. On success, the sent Message is returned. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) sticker - File to send. Either a file_id to resend a sticker that is already on the Telegram servers, or a file_path to upload a new sticker options - orddict of options Options: :disable_notification - Sends the message silently or without notification :reply_to_message_id - If the message is a reply, ID of the original message :reply_markup - Additional interface options. Instructions to hide keyboard or to force a reply from the user - Telegraph.Model.ReplyKeyboardMarkup or Telegraph.Model.ReplyKeyboardRemove or Telegraph.Model.ForceReply","ref":"Telegraph.html#send_sticker/3","title":"Telegraph.send_sticker/3","type":"function"},{"doc":"Use this method to send information about a venue. On success, the sent Message is returned. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) latitude - Latitude of location longitude - Longitude of location title - Name of the venue address - Address of the venue options - orddict of options Options: :foursquare_id - Foursquare identifier of the venue :disable_notification - Sends the message silently or without notification :reply_to_message_id - If the message is a reply, ID of the original message :reply_markup - Additional interface options. A JSON-serialized object for an inline keyboard, custom reply keyboard, instructions to hide reply keyboard or to force a reply from the user. - Telegraph.Model.InlineKeyboardMarkup or Telegraph.Model.ReplyKeyboardMarkup or Telegraph.Model.ReplyKeyboardRemove or Telegraph.Model.ForceReply","ref":"Telegraph.html#send_venue/6","title":"Telegraph.send_venue/6","type":"function"},{"doc":"Use this method to send video files, Telegram clients support mp4 videos (other formats may be sent as Document). On success, the sent Message is returned. Bots can currently send video files of up to 50 MB in size, this limit may be changed in the future. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) video - Video to send. Either a file_id to resend a video that is already on the Telegram servers, or a file_path to upload a new video options - orddict of options Options: :duration - Duration of the video in seconds :caption - Video caption (may also be used when resending videos by file_id ) :disable_notification - Sends the message silently or without notification :reply_to_message_id - If the message is a reply, ID of the original message :reply_markup - Additional interface options. Instructions to hide keyboard or to force a reply from the user - Telegraph.Model.ReplyKeyboardMarkup or Telegraph.Model.ReplyKeyboardRemove or Telegraph.Model.ForceReply","ref":"Telegraph.html#send_video/3","title":"Telegraph.send_video/3","type":"function"},{"doc":"Use this method to send audio files, if you want Telegram clients to display the file as a playable voice message. For this to work, your audio must be in an .ogg file encoded with OPUS (other formats may be sent as Audio or Document). On success, the sent Message is returned. Bots can currently send voice messages of up to 50 MB in size, this limit may be changed in the future. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) voice - Audio to send. Either a file_id to resend an audio that is already on the Telegram servers, or a file_path to upload a new audio options - orddict of options Options: :duration - Duration of the audio in seconds :disable_notification - Sends the message silently or without notification :reply_to_message_id - If the message is a reply, ID of the original message :reply_markup - Additional interface options. Instructions to hide keyboard or to force a reply from the user - Telegraph.Model.ReplyKeyboardMarkup or Telegraph.Model.ReplyKeyboardRemove or Telegraph.Model.ForceReply","ref":"Telegraph.html#send_voice/3","title":"Telegraph.send_voice/3","type":"function"},{"doc":"Use this method to move a sticker in a set created by the bot to a specific position. Returns True on success. Args: sticker - File identifier of the sticker position - New sticker position in the set, zero-based","ref":"Telegraph.html#set_sticker_position_in_set/2","title":"Telegraph.set_sticker_position_in_set/2","type":"function"},{"doc":"Use this method to specify a url and receive incoming updates via an outgoing webhook. Whenever there is an update for the bot, we will send an HTTPS POST request to the specified url, containing a JSON-serialized Update. In case of an unsuccessful request, we will give up after a reasonable amount of attempts. Args: options - orddict of options Options: :url - HTTPS url to send updates to.","ref":"Telegraph.html#set_webhook/1","title":"Telegraph.set_webhook/1","type":"function"},{"doc":"Use this method to unban a previously kicked user in a supergroup. The user will not return to the group automatically, but will be able to join via link, etc. The bot must be an administrator in the group for this to work. Returns True on success. Args: chat_id - Unique identifier for the target group or username of the target supergroup (in the format @supergroupusername) user_id - Unique identifier of the target user","ref":"Telegraph.html#unban_chat_member/2","title":"Telegraph.unban_chat_member/2","type":"function"},{"doc":"Use this method to unpin a message in a group, a supergroup, or a channel. The bot must be an administrator in the chat for this to work and must have the ‘can_pin_messages’ admin right in the supergroup or ‘can_edit_messages’ admin right in the channel. Returns True on success. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername)","ref":"Telegraph.html#unpin_chat_message/1","title":"Telegraph.unpin_chat_message/1","type":"function"},{"doc":"Use this method to upload a .png file with a sticker for later use in createNewStickerSet and addStickerToSet methods (can be used multiple times). Returns the uploaded File on success. Args: user_id - User identifier of sticker file owner png_sticker - Png image with the sticker, must be up to 512 kilobytes in size, dimensions must not exceed 512px, and either width or height must be exactly 512px. Either a file_id to resend a file that is already on the Telegram servers, or a file_path to upload a new file from local, or a HTTP URL to get a file from the internet.","ref":"Telegraph.html#upload_sticker_file/2","title":"Telegraph.upload_sticker_file/2","type":"function"},{"doc":"Provides basic functionalities for Telegram Bot API.","ref":"Telegraph.API.html","title":"Telegraph.API","type":"module"},{"doc":"Use this function to build file url. iex&gt; Telegraph.API.build_file_url(&quot;document/file_10&quot;) &quot; https://api.telegram.org/file/bot\#{Telegraph.Config.token()}/document/file_10&quot;","ref":"Telegraph.API.html#build_file_url/1","title":"Telegraph.API.build_file_url/1","type":"function"},{"doc":"Generic method to call Telegram Bot API. Args: method - name of API method options - orddict of options file_field - specify the key of file_field in options when sending files","ref":"Telegraph.API.html#request/3","title":"Telegraph.API.request/3","type":"function"},{"doc":"","ref":"Telegraph.API.html#request?/3","title":"Telegraph.API.request?/3","type":"function"},{"doc":"","ref":"Telegraph.Behaviour.html","title":"Telegraph.Behaviour","type":"behaviour"},{"doc":"","ref":"Telegraph.Behaviour.html#c:answer_callback_query/2","title":"Telegraph.Behaviour.answer_callback_query/2","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:answer_inline_query/3","title":"Telegraph.Behaviour.answer_inline_query/3","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:answer_pre_checkout_query/3","title":"Telegraph.Behaviour.answer_pre_checkout_query/3","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:answer_shipping_query/3","title":"Telegraph.Behaviour.answer_shipping_query/3","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:edit_message_caption/4","title":"Telegraph.Behaviour.edit_message_caption/4","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:edit_message_reply_markup/4","title":"Telegraph.Behaviour.edit_message_reply_markup/4","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:edit_message_text/5","title":"Telegraph.Behaviour.edit_message_text/5","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:forward_message/3","title":"Telegraph.Behaviour.forward_message/3","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:get_chat/1","title":"Telegraph.Behaviour.get_chat/1","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:get_chat_administrators/1","title":"Telegraph.Behaviour.get_chat_administrators/1","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:get_chat_member/2","title":"Telegraph.Behaviour.get_chat_member/2","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:get_chat_members_count/1","title":"Telegraph.Behaviour.get_chat_members_count/1","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:get_file/1","title":"Telegraph.Behaviour.get_file/1","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:get_file_link/1","title":"Telegraph.Behaviour.get_file_link/1","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:get_me/0","title":"Telegraph.Behaviour.get_me/0","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:get_updates/1","title":"Telegraph.Behaviour.get_updates/1","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:get_user_profile_photos/2","title":"Telegraph.Behaviour.get_user_profile_photos/2","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:kick_chat_member/2","title":"Telegraph.Behaviour.kick_chat_member/2","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:leave_chat/1","title":"Telegraph.Behaviour.leave_chat/1","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:send_animation/3","title":"Telegraph.Behaviour.send_animation/3","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:send_audio/3","title":"Telegraph.Behaviour.send_audio/3","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:send_chat_action/2","title":"Telegraph.Behaviour.send_chat_action/2","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:send_contact/4","title":"Telegraph.Behaviour.send_contact/4","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:send_document/3","title":"Telegraph.Behaviour.send_document/3","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:send_invoice/9","title":"Telegraph.Behaviour.send_invoice/9","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:send_location/4","title":"Telegraph.Behaviour.send_location/4","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:send_message/3","title":"Telegraph.Behaviour.send_message/3","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:send_photo/3","title":"Telegraph.Behaviour.send_photo/3","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:send_sticker/3","title":"Telegraph.Behaviour.send_sticker/3","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:send_venue/6","title":"Telegraph.Behaviour.send_venue/6","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:send_video/3","title":"Telegraph.Behaviour.send_video/3","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:send_voice/3","title":"Telegraph.Behaviour.send_voice/3","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:set_webhook/1","title":"Telegraph.Behaviour.set_webhook/1","type":"callback"},{"doc":"","ref":"Telegraph.Behaviour.html#c:unban_chat_member/2","title":"Telegraph.Behaviour.unban_chat_member/2","type":"callback"},{"doc":"","ref":"Telegraph.Config.html","title":"Telegraph.Config","type":"module"},{"doc":"","ref":"Telegraph.Config.html#base_url/0","title":"Telegraph.Config.base_url/0","type":"function"},{"doc":"","ref":"Telegraph.Config.html#file_base_url/0","title":"Telegraph.Config.file_base_url/0","type":"function"},{"doc":"","ref":"Telegraph.Config.html#graph_base_url/0","title":"Telegraph.Config.graph_base_url/0","type":"function"},{"doc":"","ref":"Telegraph.Config.html#proxy/0","title":"Telegraph.Config.proxy/0","type":"function"},{"doc":"","ref":"Telegraph.Config.html#proxy_auth/0","title":"Telegraph.Config.proxy_auth/0","type":"function"},{"doc":"","ref":"Telegraph.Config.html#recv_timeout/0","title":"Telegraph.Config.recv_timeout/0","type":"function"},{"doc":"","ref":"Telegraph.Config.html#socks5_pass/0","title":"Telegraph.Config.socks5_pass/0","type":"function"},{"doc":"","ref":"Telegraph.Config.html#socks5_user/0","title":"Telegraph.Config.socks5_user/0","type":"function"},{"doc":"","ref":"Telegraph.Config.html#token/0","title":"Telegraph.Config.token/0","type":"function"},{"doc":"Provides access to Telegra.ph API. Reference http://telegra.ph/api","ref":"Telegraph.Graph.html","title":"Telegraph.Graph","type":"module"},{"doc":"Use this method to create a new Telegraph account. Most users only need one account, but this can be useful for channel administrators who would like to keep individual author names and profile links for each of their channels. On success, returns an Account object with the regular fields and an additional access_token field. Args: short_name - account name, helps users with several accounts remember which they are currently using. Displayed to the user above the &quot;Edit/Publish&quot; button on Telegra.ph, other users don't see this name. 1-32 characters author_name - default author name used when creating new articles. 0-128 characters options - orddict of options Options: :author_url - default profile link, opened when users click on the author's name below the title. Can be any link, not necessarily to a Telegram profile or channel. 0-512 characters","ref":"Telegraph.Graph.html#create_account/3","title":"Telegraph.Graph.create_account/3","type":"function"},{"doc":"Use this method to create a new Telegraph page. On success, returns a Page object. Args: access_token - (String) Access token of the Telegraph account. title - (String, 1-256 characters) Page title. content - (Array of Node, up to 64 KB) Content of the page. options - orddict of options Options: :author_name - (String, 0-128 characters) Author name, displayed below the article's title. :author_url - (String, 0-512 characters) Profile link, opened when users click on the author's name below the title. Can be any link, not necessarily to a Telegram profile or channel. :return_content - (Boolean, default = false) If true, a content field will be returned in the Page object (see: Content format).","ref":"Telegraph.Graph.html#create_page/4","title":"Telegraph.Graph.create_page/4","type":"function"},{"doc":"Use this method to update information about a Telegraph account. Pass only the parameters that you want to edit. On success, returns an Account object with the default fields. access_token - access token of the Telegraph account short_name - new account name. 1-32 characters author_name - new default author name used when creating new articles. 0-128 characters options - orddict of options Options: :author_url - new default profile link, opened when users click on the author's name below the title. Can be any link, not necessarily to a Telegram profile or channel. 0-512 characters","ref":"Telegraph.Graph.html#edit_account_info/4","title":"Telegraph.Graph.edit_account_info/4","type":"function"},{"doc":"Use this method to edit an existing Telegraph page. On success, returns a Page object. access_token - (String) Access token of the Telegraph account. path - (String) Path to the page. title - (String, 1-256 characters) Page title. content - (Array of Node, up to 64 KB) Content of the page. options - orddict of options Options: :author_name - (String, 0-128 characters) Author name, displayed below the article's title. :author_url - (String, 0-512 characters) Profile link, opened when users click on the author's * :name below - the title. Can be any link, not necessarily to a Telegram profile or channel. :return_content - (Boolean, default = false) If true, a content field will be returned in the Page object.","ref":"Telegraph.Graph.html#edit_page/5","title":"Telegraph.Graph.edit_page/5","type":"function"},{"doc":"Use this method to get information about a Telegraph account. Returns an Account object on success. access_token - access token of the Telegraph account fields - list of account fields to return. Available fields: short_name, author_name, author_url, auth_url, page_count","ref":"Telegraph.Graph.html#get_account_info/2","title":"Telegraph.Graph.get_account_info/2","type":"function"},{"doc":"Use this method to get a Telegraph page. Returns a Page object on success. path path to the Telegraph page (in the format Title-12-31, i.e. everything that comes after http://telegra.ph/ ) return_content - if true, content field will be returned in Page object","ref":"Telegraph.Graph.html#get_page/2","title":"Telegraph.Graph.get_page/2","type":"function"},{"doc":"Use this method to get a list of pages belonging to a Telegraph account. Returns a PageList object, sorted by most recently created pages first. access_token - access token of the Telegraph account offset - sequential number of the first page to be returned limit - limits the number of pages to be retrieved. 0-200","ref":"Telegraph.Graph.html#get_page_list/3","title":"Telegraph.Graph.get_page_list/3","type":"function"},{"doc":"Use this method to get the number of views for a Telegraph article. Returns a PageViews object on success. By default, the total number of page views will be returned. path - path to the Telegraph page (in the format Title-12-31, where 12 is the month and 31 the day the article was first published) filter_fields - orddict of fields Filter fields: :year - if passed, the number of page views for the requested year will be returned. :month - if passed, the number of page views for the requested month will be returned :day - if passed, the number of page views for the requested day will be returned. :hour - if passed, the number of page views for the requested hour will be returned.","ref":"Telegraph.Graph.html#get_views/2","title":"Telegraph.Graph.get_views/2","type":"function"},{"doc":"Use this method to revoke access_token and generate a new one, for example, if the user would like to reset all connected sessions, or you have reasons to believe the token was compromised. On success, returns an Account object with new access_token and auth_url fields. access_token - access token of the Telegraph account","ref":"Telegraph.Graph.html#revoke_access_token/1","title":"Telegraph.Graph.revoke_access_token/1","type":"function"},{"doc":"Provides basic functionalities for Telegram Bot API.","ref":"Telegraph.Graph.API.html","title":"Telegraph.Graph.API","type":"module"},{"doc":"Generic method to call Telegram Bot API. Args: method - name of API method options - orddict of options file_field - specify the key of file_field in options when sending files","ref":"Telegraph.Graph.API.html#request/3","title":"Telegraph.Graph.API.request/3","type":"function"},{"doc":"Types used in Telegra.ph API. Reference http://telegra.ph/api#Available-types","ref":"Telegraph.Graph.Model.html","title":"Telegraph.Graph.Model","type":"module"},{"doc":"","ref":"Telegraph.Graph.Model.Account.html","title":"Telegraph.Graph.Model.Account","type":"module"},{"doc":"","ref":"Telegraph.Graph.Model.Account.html#t:t/0","title":"Telegraph.Graph.Model.Account.t/0","type":"type"},{"doc":"","ref":"Telegraph.Graph.Model.NodeElement.html","title":"Telegraph.Graph.Model.NodeElement","type":"module"},{"doc":"","ref":"Telegraph.Graph.Model.NodeElement.html#t:t/0","title":"Telegraph.Graph.Model.NodeElement.t/0","type":"type"},{"doc":"","ref":"Telegraph.Graph.Model.Page.html","title":"Telegraph.Graph.Model.Page","type":"module"},{"doc":"","ref":"Telegraph.Graph.Model.Page.html#t:t/0","title":"Telegraph.Graph.Model.Page.t/0","type":"type"},{"doc":"","ref":"Telegraph.Graph.Model.PageList.html","title":"Telegraph.Graph.Model.PageList","type":"module"},{"doc":"","ref":"Telegraph.Graph.Model.PageList.html#t:t/0","title":"Telegraph.Graph.Model.PageList.t/0","type":"type"},{"doc":"","ref":"Telegraph.Graph.Model.PageViews.html","title":"Telegraph.Graph.Model.PageViews","type":"module"},{"doc":"","ref":"Telegraph.Graph.Model.PageViews.html#t:t/0","title":"Telegraph.Graph.Model.PageViews.t/0","type":"type"},{"doc":"Provides parser logics for API results.","ref":"Telegraph.Graph.Parser.html","title":"Telegraph.Graph.Parser","type":"module"},{"doc":"parse result field of decoded API response json. Args: result - result field of decoded API response json method - name of API method","ref":"Telegraph.Graph.Parser.html#parse_result/2","title":"Telegraph.Graph.Parser.parse_result/2","type":"function"},{"doc":"Types used in Telegram Bot API. Reference https://core.telegram.org/bots/api#available-types","ref":"Telegraph.Model.html","title":"Telegraph.Model","type":"module"},{"doc":"","ref":"Telegraph.Model.Audio.html","title":"Telegraph.Model.Audio","type":"module"},{"doc":"","ref":"Telegraph.Model.Audio.html#t:t/0","title":"Telegraph.Model.Audio.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.CallbackQuery.html","title":"Telegraph.Model.CallbackQuery","type":"module"},{"doc":"","ref":"Telegraph.Model.CallbackQuery.html#t:t/0","title":"Telegraph.Model.CallbackQuery.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.Chat.html","title":"Telegraph.Model.Chat","type":"module"},{"doc":"","ref":"Telegraph.Model.Chat.html#t:t/0","title":"Telegraph.Model.Chat.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.ChatMember.html","title":"Telegraph.Model.ChatMember","type":"module"},{"doc":"","ref":"Telegraph.Model.ChatMember.html#t:t/0","title":"Telegraph.Model.ChatMember.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.ChatPhoto.html","title":"Telegraph.Model.ChatPhoto","type":"module"},{"doc":"","ref":"Telegraph.Model.ChatPhoto.html#t:t/0","title":"Telegraph.Model.ChatPhoto.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.ChosenInlineResult.html","title":"Telegraph.Model.ChosenInlineResult","type":"module"},{"doc":"","ref":"Telegraph.Model.ChosenInlineResult.html#t:t/0","title":"Telegraph.Model.ChosenInlineResult.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.Contact.html","title":"Telegraph.Model.Contact","type":"module"},{"doc":"","ref":"Telegraph.Model.Contact.html#t:t/0","title":"Telegraph.Model.Contact.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.Document.html","title":"Telegraph.Model.Document","type":"module"},{"doc":"","ref":"Telegraph.Model.Document.html#t:t/0","title":"Telegraph.Model.Document.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.File.html","title":"Telegraph.Model.File","type":"module"},{"doc":"","ref":"Telegraph.Model.File.html#t:t/0","title":"Telegraph.Model.File.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.ForceReply.html","title":"Telegraph.Model.ForceReply","type":"module"},{"doc":"","ref":"Telegraph.Model.ForceReply.html#t:t/0","title":"Telegraph.Model.ForceReply.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineKeyboardButton.html","title":"Telegraph.Model.InlineKeyboardButton","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineKeyboardButton.html#t:t/0","title":"Telegraph.Model.InlineKeyboardButton.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineKeyboardMarkup.html","title":"Telegraph.Model.InlineKeyboardMarkup","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineKeyboardMarkup.html#t:t/0","title":"Telegraph.Model.InlineKeyboardMarkup.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineQuery.html","title":"Telegraph.Model.InlineQuery","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineQuery.html#t:t/0","title":"Telegraph.Model.InlineQuery.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.html","title":"Telegraph.Model.InlineQueryResult","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.html#t:t/0","title":"Telegraph.Model.InlineQueryResult.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.Article.html","title":"Telegraph.Model.InlineQueryResult.Article","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.Article.html#t:t/0","title":"Telegraph.Model.InlineQueryResult.Article.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.Audio.html","title":"Telegraph.Model.InlineQueryResult.Audio","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.Audio.html#t:t/0","title":"Telegraph.Model.InlineQueryResult.Audio.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.CachedAudio.html","title":"Telegraph.Model.InlineQueryResult.CachedAudio","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.CachedAudio.html#t:t/0","title":"Telegraph.Model.InlineQueryResult.CachedAudio.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.CachedDocument.html","title":"Telegraph.Model.InlineQueryResult.CachedDocument","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.CachedDocument.html#t:t/0","title":"Telegraph.Model.InlineQueryResult.CachedDocument.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.CachedGif.html","title":"Telegraph.Model.InlineQueryResult.CachedGif","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.CachedGif.html#t:t/0","title":"Telegraph.Model.InlineQueryResult.CachedGif.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.CachedMpeg4Gif.html","title":"Telegraph.Model.InlineQueryResult.CachedMpeg4Gif","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.CachedMpeg4Gif.html#t:t/0","title":"Telegraph.Model.InlineQueryResult.CachedMpeg4Gif.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.CachedPhoto.html","title":"Telegraph.Model.InlineQueryResult.CachedPhoto","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.CachedPhoto.html#t:t/0","title":"Telegraph.Model.InlineQueryResult.CachedPhoto.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.CachedSticker.html","title":"Telegraph.Model.InlineQueryResult.CachedSticker","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.CachedSticker.html#t:t/0","title":"Telegraph.Model.InlineQueryResult.CachedSticker.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.CachedVideo.html","title":"Telegraph.Model.InlineQueryResult.CachedVideo","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.CachedVideo.html#t:t/0","title":"Telegraph.Model.InlineQueryResult.CachedVideo.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.CachedVoice.html","title":"Telegraph.Model.InlineQueryResult.CachedVoice","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.CachedVoice.html#t:t/0","title":"Telegraph.Model.InlineQueryResult.CachedVoice.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.Contact.html","title":"Telegraph.Model.InlineQueryResult.Contact","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.Contact.html#t:t/0","title":"Telegraph.Model.InlineQueryResult.Contact.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.Document.html","title":"Telegraph.Model.InlineQueryResult.Document","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.Document.html#t:t/0","title":"Telegraph.Model.InlineQueryResult.Document.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.Gif.html","title":"Telegraph.Model.InlineQueryResult.Gif","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.Gif.html#t:t/0","title":"Telegraph.Model.InlineQueryResult.Gif.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.Location.html","title":"Telegraph.Model.InlineQueryResult.Location","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.Location.html#t:t/0","title":"Telegraph.Model.InlineQueryResult.Location.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.Mpeg4Gif.html","title":"Telegraph.Model.InlineQueryResult.Mpeg4Gif","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.Mpeg4Gif.html#t:t/0","title":"Telegraph.Model.InlineQueryResult.Mpeg4Gif.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.Photo.html","title":"Telegraph.Model.InlineQueryResult.Photo","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.Photo.html#t:t/0","title":"Telegraph.Model.InlineQueryResult.Photo.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.Venue.html","title":"Telegraph.Model.InlineQueryResult.Venue","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.Venue.html#t:t/0","title":"Telegraph.Model.InlineQueryResult.Venue.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.Video.html","title":"Telegraph.Model.InlineQueryResult.Video","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.Video.html#t:t/0","title":"Telegraph.Model.InlineQueryResult.Video.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.Voice.html","title":"Telegraph.Model.InlineQueryResult.Voice","type":"module"},{"doc":"","ref":"Telegraph.Model.InlineQueryResult.Voice.html#t:t/0","title":"Telegraph.Model.InlineQueryResult.Voice.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InputMessageContent.html","title":"Telegraph.Model.InputMessageContent","type":"module"},{"doc":"","ref":"Telegraph.Model.InputMessageContent.html#t:t/0","title":"Telegraph.Model.InputMessageContent.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InputMessageContent.Contact.html","title":"Telegraph.Model.InputMessageContent.Contact","type":"module"},{"doc":"","ref":"Telegraph.Model.InputMessageContent.Contact.html#t:t/0","title":"Telegraph.Model.InputMessageContent.Contact.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InputMessageContent.Location.html","title":"Telegraph.Model.InputMessageContent.Location","type":"module"},{"doc":"","ref":"Telegraph.Model.InputMessageContent.Location.html#t:t/0","title":"Telegraph.Model.InputMessageContent.Location.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InputMessageContent.Text.html","title":"Telegraph.Model.InputMessageContent.Text","type":"module"},{"doc":"","ref":"Telegraph.Model.InputMessageContent.Text.html#t:t/0","title":"Telegraph.Model.InputMessageContent.Text.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.InputMessageContent.Venue.html","title":"Telegraph.Model.InputMessageContent.Venue","type":"module"},{"doc":"","ref":"Telegraph.Model.InputMessageContent.Venue.html#t:t/0","title":"Telegraph.Model.InputMessageContent.Venue.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.Invoice.html","title":"Telegraph.Model.Invoice","type":"module"},{"doc":"","ref":"Telegraph.Model.Invoice.html#t:t/0","title":"Telegraph.Model.Invoice.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.KeyboardButton.html","title":"Telegraph.Model.KeyboardButton","type":"module"},{"doc":"","ref":"Telegraph.Model.KeyboardButton.html#t:t/0","title":"Telegraph.Model.KeyboardButton.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.LabeledPrice.html","title":"Telegraph.Model.LabeledPrice","type":"module"},{"doc":"","ref":"Telegraph.Model.LabeledPrice.html#t:t/0","title":"Telegraph.Model.LabeledPrice.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.Location.html","title":"Telegraph.Model.Location","type":"module"},{"doc":"","ref":"Telegraph.Model.Location.html#t:t/0","title":"Telegraph.Model.Location.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.MaskPosition.html","title":"Telegraph.Model.MaskPosition","type":"module"},{"doc":"","ref":"Telegraph.Model.MaskPosition.html#t:t/0","title":"Telegraph.Model.MaskPosition.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.Message.html","title":"Telegraph.Model.Message","type":"module"},{"doc":"","ref":"Telegraph.Model.Message.html#t:t/0","title":"Telegraph.Model.Message.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.MessageEntity.html","title":"Telegraph.Model.MessageEntity","type":"module"},{"doc":"","ref":"Telegraph.Model.MessageEntity.html#t:t/0","title":"Telegraph.Model.MessageEntity.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.OrderInfo.html","title":"Telegraph.Model.OrderInfo","type":"module"},{"doc":"","ref":"Telegraph.Model.OrderInfo.html#t:t/0","title":"Telegraph.Model.OrderInfo.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.PhotoSize.html","title":"Telegraph.Model.PhotoSize","type":"module"},{"doc":"","ref":"Telegraph.Model.PhotoSize.html#t:t/0","title":"Telegraph.Model.PhotoSize.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.PreCheckoutQuery.html","title":"Telegraph.Model.PreCheckoutQuery","type":"module"},{"doc":"","ref":"Telegraph.Model.PreCheckoutQuery.html#t:t/0","title":"Telegraph.Model.PreCheckoutQuery.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.ReplyKeyboardMarkup.html","title":"Telegraph.Model.ReplyKeyboardMarkup","type":"module"},{"doc":"","ref":"Telegraph.Model.ReplyKeyboardMarkup.html#t:t/0","title":"Telegraph.Model.ReplyKeyboardMarkup.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.ReplyKeyboardRemove.html","title":"Telegraph.Model.ReplyKeyboardRemove","type":"module"},{"doc":"","ref":"Telegraph.Model.ReplyKeyboardRemove.html#t:t/0","title":"Telegraph.Model.ReplyKeyboardRemove.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.ShippingAddress.html","title":"Telegraph.Model.ShippingAddress","type":"module"},{"doc":"","ref":"Telegraph.Model.ShippingAddress.html#t:t/0","title":"Telegraph.Model.ShippingAddress.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.ShippingOption.html","title":"Telegraph.Model.ShippingOption","type":"module"},{"doc":"","ref":"Telegraph.Model.ShippingOption.html#t:t/0","title":"Telegraph.Model.ShippingOption.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.ShippingQuery.html","title":"Telegraph.Model.ShippingQuery","type":"module"},{"doc":"","ref":"Telegraph.Model.ShippingQuery.html#t:t/0","title":"Telegraph.Model.ShippingQuery.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.Sticker.html","title":"Telegraph.Model.Sticker","type":"module"},{"doc":"","ref":"Telegraph.Model.Sticker.html#t:t/0","title":"Telegraph.Model.Sticker.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.StickerSet.html","title":"Telegraph.Model.StickerSet","type":"module"},{"doc":"","ref":"Telegraph.Model.StickerSet.html#t:t/0","title":"Telegraph.Model.StickerSet.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.SuccessfulPayment.html","title":"Telegraph.Model.SuccessfulPayment","type":"module"},{"doc":"","ref":"Telegraph.Model.SuccessfulPayment.html#t:t/0","title":"Telegraph.Model.SuccessfulPayment.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.Update.html","title":"Telegraph.Model.Update","type":"module"},{"doc":"","ref":"Telegraph.Model.Update.html#t:t/0","title":"Telegraph.Model.Update.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.User.html","title":"Telegraph.Model.User","type":"module"},{"doc":"","ref":"Telegraph.Model.User.html#t:t/0","title":"Telegraph.Model.User.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.UserProfilePhotos.html","title":"Telegraph.Model.UserProfilePhotos","type":"module"},{"doc":"","ref":"Telegraph.Model.UserProfilePhotos.html#t:t/0","title":"Telegraph.Model.UserProfilePhotos.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.Venue.html","title":"Telegraph.Model.Venue","type":"module"},{"doc":"","ref":"Telegraph.Model.Venue.html#t:t/0","title":"Telegraph.Model.Venue.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.Video.html","title":"Telegraph.Model.Video","type":"module"},{"doc":"","ref":"Telegraph.Model.Video.html#t:t/0","title":"Telegraph.Model.Video.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.Voice.html","title":"Telegraph.Model.Voice","type":"module"},{"doc":"","ref":"Telegraph.Model.Voice.html#t:t/0","title":"Telegraph.Model.Voice.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.WebhookInfo.html","title":"Telegraph.Model.WebhookInfo","type":"module"},{"doc":"","ref":"Telegraph.Model.WebhookInfo.html#t:t/0","title":"Telegraph.Model.WebhookInfo.t/0","type":"type"},{"doc":"Provides parser logics for API results.","ref":"Telegraph.Parser.html","title":"Telegraph.Parser","type":"module"},{"doc":"parse result field of decoded API response json. Args: result - result field of decoded API response json method - name of API method","ref":"Telegraph.Parser.html#parse_result/2","title":"Telegraph.Parser.parse_result/2","type":"function"},{"doc":"","ref":"Telegraph.Graph.Model.Error.html","title":"Telegraph.Graph.Model.Error","type":"exception"},{"doc":"Callback implementation for Exception.message/1 .","ref":"Telegraph.Graph.Model.Error.html#message/1","title":"Telegraph.Graph.Model.Error.message/1","type":"function"},{"doc":"","ref":"Telegraph.Graph.Model.Error.html#t:t/0","title":"Telegraph.Graph.Model.Error.t/0","type":"type"},{"doc":"","ref":"Telegraph.Model.Error.html","title":"Telegraph.Model.Error","type":"exception"},{"doc":"Callback implementation for Exception.message/1 .","ref":"Telegraph.Model.Error.html#message/1","title":"Telegraph.Model.Error.message/1","type":"function"},{"doc":"","ref":"Telegraph.Model.Error.html#t:t/0","title":"Telegraph.Model.Error.t/0","type":"type"},{"doc":"Copyright (c) 2015 Yu Zhang Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"License","type":"extras"},{"doc":"Modern Telegram Bot API framework based on Nadia project ( document )","ref":"readme.html","title":"Overview","type":"extras"},{"doc":"Add :telegraph to your mix.exs dependencies: def deps do [ { :telegraph , &quot;~&gt; 0.7.0&quot; } ] end And run $ mix deps.get .","ref":"readme.html#installation","title":"Overview - Installation","type":"extras"},{"doc":"In config/config.exs , add your Telegram Bot token like this config :telegraph , token : &quot;bot token&quot; You can also add an optional recv_timeout in seconds (defaults to 5s): config :telegraph , recv_timeout : 10 You can also add a proxy support: config :telegraph , proxy : &quot;http://proxy_host:proxy_port&quot; , # or {:socks5, &#39;proxy_host&#39;, proxy_port} proxy_auth : { &quot;user&quot; , &quot;password&quot; } , ssl : [ versions : [ :&#39;tlsv1.2&#39; ] ] You can also configure the the base url for the api if you need to for some reason: config :telegraph , # Telegram API. Default: https://api.telegram.org/bot base_url : &quot;http://my-own-endpoint.com/whatever/&quot; , # Telegram Graph API. Default: https://api.telegra.ph graph_base_url : &quot;http://my-own-endpoint.com/whatever/&quot; Environment variables may be used as well: config :telegraph , token : { :system , &quot;ENVVAR_WITH_MYAPP_TOKEN&quot; , &quot;default_value_if_needed&quot; }","ref":"readme.html#configuration","title":"Overview - Configuration","type":"extras"},{"doc":"get_me iex&gt; Telegraph . get_me { :ok , % Telegraph.Model.User { first_name : &quot;Telegraph&quot; , id : 666 , last_name : nil , username : &quot;telegraph_bot&quot; } } get_updates iex&gt; Telegraph . get_updates limit : 5 { :ok , [ ] } iex&gt; { :ok , [ % Telegraph.Model.Update { callback_query : nil , chosen_inline_result : nil , edited_message : nil , inline_query : nil , message : % Telegraph.Model.Message { audio : nil , caption : nil , channel_chat_created : nil , chat : % Telegraph.Model.Chat { first_name : &quot;Telegraph&quot; , id : 123 , last_name : &quot;TheBot&quot; , title : nil , type : &quot;private&quot; , username : &quot;telegraph_the_bot&quot; } , contact : nil , date : 1471208260 , delete_chat_photo : nil , document : nil , edit_date : nil , entities : nil , forward_date : nil , forward_from : nil , forward_from_chat : nil , from : % Telegraph.Model.User { first_name : &quot;Telegraph&quot; , id : 123 , last_name : &quot;TheBot&quot; , username : &quot;telegraph_the_bot&quot; } , group_chat_created : nil , left_chat_member : nil , location : nil , message_id : 543 , migrate_from_chat_id : nil , migrate_to_chat_id : nil , new_chat_member : nil , new_chat_photo : [ ] , new_chat_title : nil , photo : [ ] , pinned_message : nil , reply_to_message : nil , sticker : nil , supergroup_chat_created : nil , text : &quot;rew&quot; , venue : nil , video : nil , voice : nil } , update_id : 98765 } ] } send_message iex&gt; case Telegraph . send_message ( tlg_id , &quot;The message text goes here&quot; ) do { :ok , _result } -&gt; :ok { :error , % Telegraph.Model.Error { reason : &quot;Please wait a little&quot; } } -&gt; :wait end :ok Refer to Telegraph document and Telegram Bot API document for more details.","ref":"readme.html#usage","title":"Overview - Usage","type":"extras"},{"doc":"Copyright (c) 2022 Evgenii Troinov Copyright (c) 2015 Yu Zhang This library licensed under the MIT license .","ref":"readme.html#copyright-and-license","title":"Overview - Copyright and License","type":"extras"}]